package com.elab.log;

import com.dianping.cat.Cat;

/**
 * 消息发送工具类
 *
 * @author Liukx
 * @create 2018-04-17 19:08
 * @email liukx@elab-plus.com
 **/
public class MsgUtils {

    /**
     * 求和埋点
     *
     * @param name  业务类型
     * @param value 增长值
     */
    public static void sendMetricForSum(String name, double value) {
        Cat.logMetricForSum(name, value);
    }

    /**
     * 求和埋点
     *
     * @param type     业务类型
     * @param value    业务值
     * @param quantity 增长数
     */
    public static void sendMetricForSum(String type, double value, int quantity) {
        Cat.logMetricForSum(type, value, quantity);
    }

    /**
     * 总数统计埋点
     *
     * @param name     业务名称
     * @param quantity 增长值
     */
    public static void sendMetricForCount(String name, int quantity) {
        Cat.logMetricForCount(name, quantity);
    }

    /**
     * 总数统计类型
     *
     * @param name 业务名称
     */
    public static void sendMetricForCount(String name) {
        Cat.logMetricForCount(name);
    }

    /**
     * 总耗时统计
     *
     * @param name
     * @param durationInMillis
     */
    public static void sendMetricForDuration(String name, long durationInMillis) {
        Cat.logMetricForDuration(name, durationInMillis);
    }
}
